%define		plugin		indexmenu
Summary:	DokuWiki IndexMenu plugin
Summary(pl.UTF-8):	Wtyczka IndexMenu dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20090829
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://samuele.netsons.org/dokuwiki/media/indexmenu.zip
# Source0-md5:	5d5dc3d00070060a16e79cb8d6ceb92e
# fixes wrong version number inside the ZIP file
URL:		http://wiki.splitbrain.org/plugin:indexmenu
BuildRequires:	unzip
Requires:	dokuwiki >= 20061106
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}

%description
This plugin allows you to insert a customizable index or a list of
pages starting from a specified namespace. It should be useful in
DokuWiki sites where pages are organized by namespaces.

Main features are: 
- Customizable JavaScript themes.
- Sortable by date, title and metadata infos.
- AJAX support in order to speed it up in sites with many pages.
- Customizable context mouse menu for common page actions.
- Toc pages preview.
- Hide namespaces/pages according to your site ACLs settings

%description -l pl.UTF-8
Ta wtyczka pozwala na umieszczenie konfigurowalnego indeksu lub listy
stron rozpoczynającej się od określonej przestrzeni nazw. Powinna być
przydatna w serwisach DokuWiki, w których strony są zorganizowane w
przestrzenie nazw.

Główne możliwości obejmują:
- konfigurowalne motywy w JavaScripcie,
- sortowanie po dacie, tytule i metadanych,
- obsługa AJAX-a w celu przyspieszenia serwisów z wieloma stronami,
- konfigurowalne menu kontekstowe myszy z często wykonywanymi
  czynnościami dla strony,
- podgląd stron spisu treści,
- ukrywanie przestrzeni nazw i stron zgodnie z ustawieniami ACL
  serwisu.

%prep
%setup -q -n %{plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{CREDITS,changelog}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%doc CREDITS changelog
%{plugindir}
%changelog
* Thu Nov 22 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-indexmenu.git;a=log;h=master

* Thu Nov 22 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> eb70660
Version: 20090829

* Sun May 16 2010 sparky <sparky@pld-linux.org> 7c58830
- BR: unzip

* Thu Feb 19 2009 Elan Ruusamäe <glen@pld-linux.org> 8ee2c68
- correct changelog

* Thu Feb 19 2009 Jacek Konieczny <jajcus@pld-linux.org> ff6ffc5
- patch to fix version number in the plugin sources

* Thu Feb 19 2009 Jacek Konieczny <jajcus@pld-linux.org> a3ec8f1
- Version: 20090104

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 85c3897
- refresh dw cache on install

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> 894baa0
- changed Version to 20080412, just for clarity

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 2d5641c
- unify; rel 1

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 6a7b22f
- unified AJAX spelling (as abbreviation)

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> c66a304
- pl

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> e5446d7
- new

